Commit 0298b117 authored by Mike Hibler's avatar Mike Hibler

Add fix for python 2.5. Technically, this fix should not be here,

but m2crypto-0.17 is always paired with python-2.5 in our ports so
we get away with it.  Hey, "it is what it is" man.
parent 8b3b1362
...@@ -19,3 +19,15 @@ Index: /usr/local/lib/python2.5/site-packages/M2Crypto/SSL/Context.py ...@@ -19,3 +19,15 @@ Index: /usr/local/lib/python2.5/site-packages/M2Crypto/SSL/Context.py
def map(): def map():
if _ctxmap.singleton is None: if _ctxmap.singleton is None:
--- /usr/local/lib/python2.5/site-packages/M2Crypto/m2xmlrpclib.py~
+++ /usr/local/lib/python2.5/site-packages/M2Crypto/m2xmlrpclib.py
@@ -15,6 +15,7 @@
user_agent = "M2Crypto_XMLRPC/%s - %s" % (__version__, Transport.user_agent)
def __init__(self, ssl_context=None):
+ Transport.__init__(self)
if ssl_context is None:
self.ssl_ctx=SSL.Context('sslv23')
else:
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment